: Class SecurityLevel

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.acl
Class SecurityLevel

    java.lang.Object
      |
      +--org.w3c.jigsaw.acl.SecurityLevel

public class SecurityLevel
extends java.lang.Object

Method Summary
`HttpChallenge` | `getChallenge(java.lang.String name, java.security.Principal principal)` Get the HTTP challenge relative to the given security level.
`java.security.Principal` | `getPrincipal(Request request, java.lang.String algo)` Get the principal relative to the request and the securityLevel.
`static SecurityLevel` | `getSecurityLevel(AclFilter filter)`
`void` | `updateReply(Reply reply, Request request)`
`void` | `updateRequestStates(Request request, java.security.Principal principal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPrincipal

    public java.security.Principal getPrincipal(Request request,
                                                java.lang.String algo)

  Get the principal relative to the request and the securityLevel.
  Parameters:
    `request` - the incomming request.
    `securityLevel` - the Security Level.
  Returns:
    a Principal instance.

### getChallenge

    public HttpChallenge getChallenge(java.lang.String name,
                                      java.security.Principal principal)

  Get the HTTP challenge relative to the given security level.
  Parameters:
    `name` - the challenge name
    `securityLevel` - the security level
  Returns:
    a HttpChallenge instance.

### updateRequestStates

    public void updateRequestStates(Request request,
                                    java.security.Principal principal)

### updateReply

    public void updateReply(Reply reply,
                            Request request)

### getSecurityLevel

    public static SecurityLevel getSecurityLevel(AclFilter filter)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD